﻿var autoptint = {
  documentLoaded: function(document) {
    var check = function() {
      return true;
    };
    
    var call = function(func) {
      if(check())
        func();
      else
        setTimeout(function() { call(func); }, 128);
    };

    var print = function() {
      var webBrowserPrint = window.content.QueryInterface(Components.interfaces.nsIInterfaceRequestor).getInterface(Components.interfaces.nsIWebBrowserPrint);
      var PSSVC = Components.classes["@mozilla.org/gfx/printsettings-service;1"].getService(Components.interfaces.nsIPrintSettingsService);

      var printSettings = PSSVC.newPrintSettings;
      
      printSettings.printToFile = true;
      printSettings.toFileName = "D:\\Temp\\Pdf\\" + Date().toString().split(":").join("-") + ".pdf";
      printSettings.printSilent = true;
      printSettings.outputFormat = Components.interfaces.nsIPrintSettings.kOutputFormatPDF;
     
      printSettings.printBGColors = true;
      printSettings.printBGImages = true;

      printSettings.footerStrCenter = "";
      printSettings.footerStrLeft   = "";
      printSettings.footerStrRight  = "";
      printSettings.headerStrCenter = "";
      printSettings.headerStrLeft   = "";
      printSettings.headerStrRight  = "";

      alert("before print");
      webBrowserPrint.print(printSettings, null);
      alert(":)");
    };
    
    var urlPrefix = "http";
    
    if(document.location.href.substr(0,urlPrefix.length) == urlPrefix)
      if(confirm("Print to PDF?"))
        call(print);
  }
};

try {
  window.addEventListener("load", function () { /* at window creation */
    var appcontent = document.getElementById("appcontent");
    if(appcontent)
      appcontent.addEventListener("DOMContentLoaded",
        function(event) {
          if(event.originalTarget instanceof HTMLDocument) /* when HTMLDocument loaded*/
            autoptint.documentLoaded(event.originalTarget);
        }, true);
  }, false);
}
catch(e) {
}